RDKit: RDGeom::PointND Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
RDGeom::PointND Class Reference

`#include <point.h>`

Inheritance diagram for RDGeom::PointND:

## Public Types
typedef boost::shared_ptr< RDNumeric::Vector< double > > | VECT_SH_PTR

## Public Member Functions
| PointND (unsigned int dim)
| PointND (const PointND &other)
Point * | copy () const override
| ~PointND () override=default
double | operator[] (unsigned int i) const override
double & | operator[] (unsigned int i) override
void | normalize () override
double | length () const override
double | lengthSq () const override
unsigned int | dimension () const override
PointND & | operator= (const PointND &other)
PointND & | operator+= (const PointND &other)
PointND & | operator-= (const PointND &other)
PointND & | operator*= (double scale)
PointND & | operator/= (double scale)
PointND | directionVector (const PointND &other)
double | dotProduct (const PointND &other) const
double | angleTo (const PointND &other) const
Public Member Functions inherited from RDGeom::Point
virtual constexpr | ~Point ()

## Detailed Description

Definition at line 429 of file point.h.

## Member Typedef Documentation

## ◆ VECT_SH_PTR

typedef boost::shared_ptr<RDNumeric::Vector<double> > RDGeom::PointND::VECT_SH_PTR

Definition at line 431 of file point.h.

## Constructor & Destructor Documentation

## ◆ PointND() [1/2]

RDGeom::PointND::PointND | ( | unsigned int | dim | ) |
| inline

Definition at line 433 of file point.h.

Referenced by angleTo(), copy(), directionVector(), dotProduct(), operator*=(), operator+=(), operator-=(), operator/=(), operator=(), and PointND().

## ◆ PointND() [2/2]

RDGeom::PointND::PointND | ( | const PointND & | other | ) |
| inline

Definition at line 438 of file point.h.

References PointND().

## ◆ ~PointND()

RDGeom::PointND::~PointND | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ angleTo()

double RDGeom::PointND::angleTo | ( | const PointND & | other | ) | const
| inline

Definition at line 510 of file point.h.

References dotProduct(), length(), and PointND().

## ◆ copy()

Point * RDGeom::PointND::copy | ( |  | ) | const
| inlineoverridevirtual

Implements RDGeom::Point.

Definition at line 444 of file point.h.

References PointND().

## ◆ dimension()

unsigned int RDGeom::PointND::dimension | ( |  | ) | const
| inlineoverridevirtual

Implements RDGeom::Point.

Definition at line 464 of file point.h.

Referenced by directionVector().

## ◆ directionVector()

PointND RDGeom::PointND::directionVector | ( | const PointND & | other | ) |
| inline

Definition at line 497 of file point.h.

References dimension(), normalize(), PointND(), and PRECONDITION.

## ◆ dotProduct()

double RDGeom::PointND::dotProduct | ( | const PointND & | other | ) | const
| inline

Definition at line 506 of file point.h.

References PointND().

Referenced by angleTo().

## ◆ length()

double RDGeom::PointND::length | ( |  | ) | const
| inlineoverridevirtual

Implements RDGeom::Point.

Definition at line 458 of file point.h.

Referenced by angleTo().

## ◆ lengthSq()

double RDGeom::PointND::lengthSq | ( |  | ) | const
| inlineoverridevirtual

Implements RDGeom::Point.

Definition at line 460 of file point.h.

## ◆ normalize()

void RDGeom::PointND::normalize | ( |  | ) |
| inlineoverridevirtual

Implements RDGeom::Point.

Definition at line 456 of file point.h.

Referenced by directionVector().

## ◆ operator*=()

PointND & RDGeom::PointND::operator*= | ( | double | scale | ) |
| inline

Definition at line 487 of file point.h.

References PointND().

## ◆ operator+=()

PointND & RDGeom::PointND::operator+= | ( | const PointND & | other | ) |
| inline

Definition at line 477 of file point.h.

References PointND().

## ◆ operator-=()

PointND & RDGeom::PointND::operator-= | ( | const PointND & | other | ) |
| inline

Definition at line 482 of file point.h.

References PointND().

## ◆ operator/=()

PointND & RDGeom::PointND::operator/= | ( | double | scale | ) |
| inline

Definition at line 492 of file point.h.

References PointND().

## ◆ operator=()

PointND & RDGeom::PointND::operator= | ( | const PointND & | other | ) |
| inline

Definition at line 466 of file point.h.

References PointND().

## ◆ operator[]() [1/2]

double RDGeom::PointND::operator[] | ( | unsigned int | i | ) | const
| inlineoverridevirtual

Implements RDGeom::Point.

Definition at line 448 of file point.h.

## ◆ operator[]() [2/2]

double & RDGeom::PointND::operator[] | ( | unsigned int | i | ) |
| inlineoverridevirtual

Implements RDGeom::Point.

Definition at line 452 of file point.h.

The documentation for this class was generated from the following file:

- point.h